%define upstream_name Device-Cdio
%define upstream_version v0.3.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 15
Summary:	Module for CD Input and Control library
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source:		http://www.cpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		perl-Device-Cdio-0.3.0-gcc-4.7.patch
Patch1:		perl-Device-Cdio-v0.3.0-pkgconfig-fix.patch
Patch2:		perl-Device-Cdio-v0.3.0-cdio_get_cdtext-fix.patch
BuildRequires:	perl-devel >= 5.8.0
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl-version
BuildRequires:	pkgconfig(libcdio) 
BuildRequires:	swig

%description
A module to make easier temporary directories deletion

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%__perl Build.PL installdirs=vendor
# M::B copy files read-only, forcing to use 
# a two-pass build command
# https://rt.cpan.org/Ticket/Display.html?id=42777
./Build CFLAGS="%{optflags}" || :
chmod u+w -R .
./Build CFLAGS="%{optflags}"

%install
./Build install destdir=%{buildroot}

%files
%doc Changes COPYING
%{perl_vendorarch}/*
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.3.0-15pclos2017
- rebuild against updates

